Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 609046 - libvirt-qpid is uncompilable due to ConnectionSettings changes
libvirt-qpid is uncompilable due to ConnectionSettings changes
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
All Linux
low Severity medium
: 1.3
: ---
Assigned To: messaging-bugs
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 05:48 EDT by Jan Sarenik
Modified: 2011-08-12 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-29 09:27:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Sarenik 2010-06-29 05:48:28 EDT
libvirt-qpid is uncompilable with current qpid-cpp-mrg packages.

-------------------------------------------------------------------------
jsarenik@slanina:~/libvirt-qpid$ rpm -q redhat-release libvirt-devel qpid-cpp-client-devel qmf-devel

redhat-release-5Server-5.5.0.2
libvirt-devel-0.6.3-33.el5
qpid-cpp-client-devel-0.7.946106-5.el5
qmf-devel-0.7.946106-5.el5


jsarenik@slanina:~/libvirt-qpid$ make
make  all-recursive
make[1]: Entering directory `/home/jsarenik/libvirt-qpid'
Making all in src
make[2]: Entering directory `/home/jsarenik/libvirt-qpid/src'
make  all-am
make[3]: Entering directory `/home/jsarenik/libvirt-qpid/src'
if g++ -DHAVE_CONFIG_H -I. -I. -I.. -I../src/qmf/com/redhat/libvirt -I/usr/include/libxml2      -g -O2 -MT NodeWrap.o -MD -MP -MF ".deps/NodeWrap.Tpo" -c -o NodeWrap.o NodeWrap.cpp; \
	then mv -f ".deps/NodeWrap.Tpo" ".deps/NodeWrap.Po"; else rm -f ".deps/NodeWrap.Tpo"; exit 1; fi
NodeWrap.cpp: In function ‘int main(int, char**)’:
NodeWrap.cpp:636: error: reference to ‘ConnectionSettings’ is ambiguous
/usr/include/qpid/client/ConnectionSettings.h:40: error: candidates are: struct qpid::client::ConnectionSettings
/usr/include/qpid/management/ConnectionSettings.h:34: error:                 struct qpid::management::ConnectionSettings
NodeWrap.cpp:636: error: reference to ‘ConnectionSettings’ is ambiguous
/usr/include/qpid/client/ConnectionSettings.h:40: error: candidates are: struct qpid::client::ConnectionSettings
/usr/include/qpid/management/ConnectionSettings.h:34: error:                 struct qpid::management::ConnectionSettings
NodeWrap.cpp:636: error: expected `;' before ‘settings’
NodeWrap.cpp:637: error: ‘settings’ was not declared in this scope
make[3]: *** [NodeWrap.o] Error 1
make[3]: Leaving directory `/home/jsarenik/libvirt-qpid/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/jsarenik/libvirt-qpid/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/jsarenik/libvirt-qpid'
make: *** [all] Error 2
jsarenik@slanina:~/libvirt-qpid$ make
make  all-recursive
make[1]: Entering directory `/home/jsarenik/libvirt-qpid'
Making all in src
make[2]: Entering directory `/home/jsarenik/libvirt-qpid/src'
make  all-am
make[3]: Entering directory `/home/jsarenik/libvirt-qpid/src'
if g++ -DHAVE_CONFIG_H -I. -I. -I.. -I../src/qmf/com/redhat/libvirt -I/usr/include/libxml2      -g -O2 -MT NodeWrap.o -MD -MP -MF ".deps/NodeWrap.Tpo" -c -o NodeWrap.o NodeWrap.cpp; \
	then mv -f ".deps/NodeWrap.Tpo" ".deps/NodeWrap.Po"; else rm -f ".deps/NodeWrap.Tpo"; exit 1; fi
NodeWrap.cpp: In function ‘int main(int, char**)’:
NodeWrap.cpp:636: error: reference to ‘ConnectionSettings’ is ambiguous
/usr/include/qpid/client/ConnectionSettings.h:40: error: candidates are: struct qpid::client::ConnectionSettings
/usr/include/qpid/management/ConnectionSettings.h:34: error:                 struct qpid::management::ConnectionSettings
NodeWrap.cpp:636: error: reference to ‘ConnectionSettings’ is ambiguous
/usr/include/qpid/client/ConnectionSettings.h:40: error: candidates are: struct qpid::client::ConnectionSettings
/usr/include/qpid/management/ConnectionSettings.h:34: error:                 struct qpid::management::ConnectionSettings
NodeWrap.cpp:636: error: expected `;' before ‘settings’
NodeWrap.cpp:637: error: ‘settings’ was not declared in this scope
make[3]: *** [NodeWrap.o] Error 1
make[3]: Leaving directory `/home/jsarenik/libvirt-qpid/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/jsarenik/libvirt-qpid/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/jsarenik/libvirt-qpid'
make: *** [all] Error 2
-------------------------------------------------------------------------

How reproducible: 100%

Steps to Reproduce:
1. git clone git://git.et.redhat.com/libvirt-qpid
2. cd libvirt-qpid
3. ./autogen.sh
Comment 1 Jan Sarenik 2010-06-29 05:53:17 EDT
The same error appears when trying to compile the released version
libvirt-qpid-0.2.12
Comment 2 Jan Sarenik 2010-06-29 06:22:51 EDT
The same error on RHEL6.

# rpm -q --whatprovides /etc/redhat-release
redhat-release-workstation-6-6.0.0.27.el6.x86_64
# rpm -q libvirt-devel qpid-cpp-client-devel qmf-devel
libvirt-devel-0.8.1-10.el6.x86_64
qpid-cpp-client-devel-0.7.946106-3.el6.x86_64
qmf-devel-0.7.946106-3.el6.x86_64
Comment 4 Gordon Sim 2010-06-29 07:49:38 EDT
NodeWrap.cpp needs to be updated to reference the correct version of ConnectionSettings (I'm assuming that is qpid::management::ConnectionSettings). This seems like a BZ against whatever that class is a part of (libvirt?) rather the the qpid c++ client, no?
Comment 5 Jan Sarenik 2010-06-29 09:27:10 EDT
Sorry for confusion, libvirt-qpid does not have current
sources on the web so I tried to compile old version.

Also the public git repository was last updated 7 months
ago. Whatever that means, I am closing this bug as
NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.